// Create a function that will handle any intersection between some elements and the viewport.
const handleHeaderIntersection = function (entries) {
  entries.forEach(entry => {
    if (typeof headerIsVisible === 'function') headerIsNowVisible(entry.isIntersecting);
  });
}

const section_header = document.querySelector("header");
if (section_header) {
  const headerObserver = new IntersectionObserver(handleSynthesisIntersection);
  if (headerObserver) headerObserver.observe(section_header);
} else myLog('No header to observe');



